import { SvgIconProps } from "../../app/types/types";


export function LocationIcon(props: SvgIconProps) {
  return (
    <svg width="18" height="20" viewBox="0 0 18 20" fill="none" xmlns="http://www.w3.org/2000/svg" {...props}>
      <path
        d="M8.8252 0C4.13982 0 0.325195 3.81463 0.325195 8.5C0.325195 10.6034 1.09685 12.5324 2.36426 14.0156L2.36816 14.0195L2.37109 14.0234C2.37109 14.0234 5.98706 18.1495 7.27441 19.3779C8.13648 20.1998 9.51293 20.1998 10.375 19.3779C11.8424 17.9783 15.2803 14.0215 15.2803 14.0215L15.2822 14.0186L15.2852 14.0156C16.5537 12.5324 17.3252 10.6034 17.3252 8.5C17.3252 3.81463 13.5106 0 8.8252 0ZM8.8252 1.5C12.6998 1.5 15.8252 4.62537 15.8252 8.5C15.8252 10.2376 15.192 11.8163 14.1445 13.041C14.1377 13.0488 10.6202 17.0718 9.33984 18.293C9.04291 18.5761 8.6065 18.5761 8.30957 18.293C7.23948 17.2719 3.51574 13.0533 3.50488 13.041L3.50391 13.04C2.45786 11.8154 1.8252 10.2371 1.8252 8.5C1.8252 4.62537 4.95057 1.5 8.8252 1.5ZM8.8252 5.5C7.8877 5.5 7.0896 5.87857 6.57715 6.45508C6.06469 7.03159 5.8252 7.77083 5.8252 8.5C5.8252 9.22917 6.06469 9.96841 6.57715 10.5449C7.0896 11.1214 7.8877 11.5 8.8252 11.5C9.7627 11.5 10.5608 11.1214 11.0732 10.5449C11.5857 9.96841 11.8252 9.22917 11.8252 8.5C11.8252 7.77083 11.5857 7.03159 11.0732 6.45508C10.5608 5.87857 9.7627 5.5 8.8252 5.5ZM8.8252 7C9.3877 7 9.7146 7.18393 9.95215 7.45117C10.1897 7.71841 10.3252 8.10417 10.3252 8.5C10.3252 8.89583 10.1897 9.28159 9.95215 9.54883C9.7146 9.81607 9.3877 10 8.8252 10C8.2627 10 7.93579 9.81607 7.69824 9.54883C7.4607 9.28159 7.3252 8.89583 7.3252 8.5C7.3252 8.10417 7.4607 7.71841 7.69824 7.45117C7.93579 7.18393 8.2627 7 8.8252 7Z"
        fill="#29346D"
      />
    </svg>
  )
}
